
ChiliProject - Feature # 185: Manually add associated revisions

Status: Open Priority: Normal
Author: Ian Freeman Category: SCM
Created: 2011-02-11 Assignee:
Updated: 2012-12-10 Due date:
Remote issue URL: http://www.redmine.org/issues/2009
Affected version:
Description: Frequently our developers forget the syntax to link revisions with issues and screw up. I have to go into mysql 

and add the changeset linkages manually. It would be really nice to incorporate "Mischa The Evil's 
patch":http://www.redmine.org/issues/2009#note-44 to redmine issue #2009.

Also recommend a new issue category: source control.

History
2011-02-11 11:58 pm - Eric Davis
- Category changed from Issue tracking to SCM

SCM = Source Control Management

2011-02-13 05:45 am - Ian Freeman
Whoops, missed that in my cursory scan.

2011-02-13 09:52 am - Ivan Cenov
Hmmm,

"This comment":http://www.redmine.org/issues/2009#note-56 makes me think this idea is not good enough...

2011-02-14 07:34 am - Ian Freeman
imo that would be nice, but is way too much effort for too little benefit. Being able to make manual corrections is still necessary, no matter what the 
automated system does when people make mistakes.

2011-02-14 07:58 am - Ian Freeman
On second though, having a reload revision button could be a worthy alternative, so long as people understand they need to enable their 
pre-revprop-change hook script. I modify the revision log anyway when I correct the changeset linkage, even though I don't plan on recreating all my 
issues in a different redmine install...

2011-02-18 07:25 am - Felix Schäfer
There's a patch submitted at https://github.com/chiliproject/chiliproject/pull/10 and some discussion about it on #198. Please continue any further 
discussion here though, #198 is a duplicate shouldn't be used anymore.

2012-12-10 03:56 pm - Nbblrr Nbblrr
Indeed, I think it is a great idea. 

Furthermore, it would be interesting to have links between revisions and tickets created when a revision has a ticket id. For example, I often use small 
commits on a big ticket with commit named "Part of #XXX".

I've seen that the patch submitted to chili with this feature, any idea why ? Is there any plan to merge it for the next version ?
